% Fig3_13.m  produces figure 3.13
%

% Ken Dutton, 1996

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')

% enter the full numerator:
num=2810.1*[1  4];

% and the denominator:
den=conv([1  3.8],conv([1  6],conv([1  2  17],[1  10  29])));

% Step response:
[y,x,t]=step(num,den);
plot(t,y,'g');grid  % green plot
hold on  %  freeze plot on screen

% Now evaluate and plot the response due to the dominant poles:
ydom=1 + exp(-t).*(0.6225*cos(4*t) - 0.5714*sin(4*t));
plot(t,ydom,'y')  % yellow

hold off
 