% Fig3_14.m  produces figure 3.14
%

% Ken Dutton, 1996

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')

% enter the full numerator:
num=2810.1*[1  4];
% and denominator:
den=conv([1  3.8],conv([1  6],conv([1  2  17],[1  10  29])));
%
% Step response:
[y,x,t]=step(num,den);
plot(t,y,'g');grid  % green plot
hold on  %  freeze plot on screen

% and now add the LTF dominant pole version:
numdm=17;
dendm=[1  2  17];
step(numdm,dendm,t) 

hold off
 