% fig3_61.m - Nichols plots for Fig3.61

%
% Ken Dutton, 1996

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')

% Open-loop LTF:
num = 1;  % not actually needed
den = conv([1  1  0],[1  2]);

% vector of gain values:
k = [4  1.5  0.4];

% nichols plots:
ngrid('new')  % plots contours and locks on screen

% step through gain values
for i=1 : length(k)
   num=k(i);
   nichols(num,den);
end

hold off % release plot window
 
