% File fig4_16.m.  Produces Fig. 4.16 of text
%

% Ken Dutton 1996


disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window.')
disp(' ')
disp(' Press any key after viewing a plot.')

% LTF for example 4.3:
num=2*conv([1  0.1],conv([1  0.6],[1  1  1]));
den=conv([1  -0.2  0  0  0],[1  1]); % s^3 multiplied in by hand

% first frequency range:
w=logspace(-1,1,100);

% Nyquist plot for Fig. 4.16:
nyquist(num,den,w);grid;title('Some of Fig. 4.16')
pause    % wait for key press

% restricted frequency range to see origin:
w=w(33:100);

% Nyquist plot for Fig. 4.16:
nyquist(num,den,w);grid;title('Origin area of Fig. 4.16')
pause    % wait for key press
