% fig12_1.m - an impulse response
%

% Ken Dutton 1995

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')

num=10;
den=[1 0.5  1];
t=[0:0.02:10];
[y,x]=impulse(num,den,t);
subplot(221)
plot(t,y),grid     % plots output
subplot(222)
plot(t,y.*y),grid  % plots output squared
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig12_1
%
% matlab 3.5 print:
%meta fig12_1
%!gpp fig12_1 /dhpgl /ol
