% creates fig 10.25 - INA of plant + 2 compensators

% Ken Dutton 1994

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')
disp(' ')

if ~exist('w') | ~exist('ap') | ~exist('if1')
   disp(' ')
   disp(' ')
   disp('Running Fig10_24 first to generate data - please wait')
   fig10_24
end
%
% check gain suggested as 0.64 in text:
index=length(w)          % find number of highest freq. element in w
fhf=fgetf(w,if1,index);  % extract highest freq. 2*2 component of MVFR matrix
mag=abs(fhf);            % find magnitudes (2*2)
g=mag(1,2)/mag(2,2)      % required multiplication factor ( <1 )
%
k2=[1  -0.64;0  1]; % textbook compensator
if2=fmul(w,k2,if1); % apply compensation (note order, as in fig10_24.m)
inap4(w,if2,4,-10,10,-100,1300)
pause
inap4(w,if2,7,-0.3,2,-2,10)
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_25
%
% matlab 3.5 print:
%meta fg10_25
%!gpp fg10_25 /dhpgl /ol
