% fig14_34.m - evaluates the Describing Function of Eq. 14.37
%
% results need multiplying by K

% Ken Dutton, 1994

disp(' ')
disp(' Ignore ''warning'' messages')
disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key to continue after viewing a plot')
disp(' ')
disp(' Press any key after noting these messages')
disp(' ')
pause


r=[1:0.01:20];  % ratio em/es stepped from 1 to 20
n=zeros(r);     % initialose DF to zero
for i=1:length(r)
  n(i)=2*(asin(1/r(i))+sqrt(1-1/r(i)/r(i))/r(i))/pi;
end
plot(r,n),grid
pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig14_34
%
% matlab 3.5 print:
%meta fig14_34
%!gpp fig14_34 /dhpgl /ol
