% fig3_61.m - Nichols plots for Fig3.61

%
% Ken Dutton, 1996
% ngrid command shifted to after plotting loop, 7.1.99
% hold on and hold off commands added, 7.1.99

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')

% Open-loop LTF:
num = 1;  % not actually needed
den = conv([1  1  0],[1  2]);

% vector of gain values:
k = [4  1.5  0.4];

% nichols plots:

% step through gain values
for i=1 : length(k)
   num=k(i);
   nichols(num,den);
   if i==1, hold on, end
end

hold off % release plot window
ngrid('new')  % plots contours and locks on screen
 
 hold off
 