% fig3_62.m - Discrete-time response for Example 3.17
%
% Uses the filter command, rather than the line-by-line
% program given in the example.  

% Ken Dutton, 1999

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press a key after noting this message')
pause

ts=0.1;  % sampling interval
u=ones(100,1); % system input = 100 samples of a unit step
t=[0:ts:99*ts]; % time axis for plot
y=filter(0.1,[1  -0.9],u);  % system model applied to input
plot(t,y,'x');grid

disp(' ')
disp(' ')
disp(' The text-book figure is on the screen.  Press a key')
disp(' to see the more conventional discrete-time response')
pause

stairs(t,y);grid

