% File fig4_22.m.  Produces Fig. 4.22 of text
%

% Ken Dutton 1996

disp(' ')
disp(' Ignore ''Divide by zero'' warnings')
disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')

% enter the open-loop LTF of system in Example 4.4
num=[1  1.5  1.5625]; % MATLAB will sweep K automatically
den=conv([1  -0.75],conv([1  0.25],conv([1  1.25],[1  2.25])));

% produce the root locus:
rlocus(num,den),grid
pause   % wait for key press

% now allow gain investigation
disp(' ')
disp(' The graphics cursor will now appear')
disp(' Position it on a point of interest, and press the')
disp(' left-hand mouse button to read off the gain')
disp(' ')
disp(' Press any key to continue after noting this message')
pause

[k,p]=rlocfind(num,den);
disp(' ')
disp([' Gain is  '      num2str(k)])
pause

