% File fig4_23.m.  Produces Fig. 4.23 of text
%

% Ken Dutton 1996

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')

% enter the open-loop LTF of system in Example 4.5
num=[1  1]; % MATLAB will sweep K automatically
den=[1  9  0  0]; % note zero coefficients of s and constant

% produce the root locus:
rlocus(num,den),grid
pause   % wait for key press

% now allow gain investigation
disp(' ')
disp(' The graphics cursor will now appear')
disp(' Position it on a point of interest, and press the')
disp(' left-hand mouse button to read off the gain')
disp(' ')
disp(' Press any key to continue after noting this message')
pause

[k,p]=rlocfind(num,den);
disp(' ')
disp([' Gain is  '      num2str(k)])
pause

